fragment_stream.h File Reference

An abstraction for implementing a stream loading a tile and storing a tile using a pair of tile iterators. More...

`#include <cutlass/convert.h>`
`#include <cutlass/fragment.h>`
`#include <cutlass/iterator_access.h>`
`#include <cutlass/tensor_ref.h>`
`#include <cutlass/tile_iterator.h>`
`#include <cutlass/gemm/gemm_operand.h>`
`#include <cutlass/gemm/gemm_traits.h>`
`#include <cutlass/matrix_traits.h>`

Go to the source code of this file.

## Classes

struct | cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >
| Manages a pair of iterators to stream data from global memory to shared. More...
struct | cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >::Params
| Parameters passed to initialize the ierator. More...

## Namespaces

| cutlass